com::lomiri::location::service::session::Stub Class Reference

`#include <stub.h>`

Inheritance diagram for com::lomiri::location::service::session::Stub:
Collaboration diagram for com::lomiri::location::service::session::Stub:

## Public Member Functions

| Stub (const core::dbus::Bus::Ptr &bus, const core::dbus::types::ObjectPath &session_path)
| Stub (const Stub &)=delete
virtual | ~Stub () noexcept
Stub & | operator= (const Stub &)=delete
virtual const core::dbus::types::ObjectPath & | path () const
virtual void | start_position_updates ()
virtual void | stop_position_updates () noexcept
virtual void | start_velocity_updates ()
virtual void | stop_velocity_updates () noexcept
virtual void | start_heading_updates ()
virtual void | stop_heading_updates () noexcept

## Detailed Description

Definition at line 43 of file service/session/stub.h.

## Constructor & Destructor Documentation

## Stub() [1/2]

com::lomiri::location::service::session::Stub::Stub | ( | const core::dbus::Bus::Ptr & | bus,
|  | const core::dbus::types::ObjectPath & | session_path )

Referenced by operator=(), and Stub().

## Stub() [2/2]

com::lomiri::location::service::session::Stub::Stub | ( | const Stub & |  | ) |

delete

References Stub().

Here is the call graph for this function:

## ~Stub()

virtual com::lomiri::location::service::session::Stub::~Stub | ( |  | ) |

virtual noexcept

## Member Function Documentation

## operator=()

Stub & com::lomiri::location::service::session::Stub::operator= | ( | const Stub & |  | ) |

delete

References Stub().

Here is the call graph for this function:

## path()

virtual const core::dbus::types::ObjectPath & com::lomiri::location::service::session::Stub::path | ( |  | ) | const

virtual

References path().

Referenced by path().

Here is the call graph for this function:

## start_heading_updates()

virtual void com::lomiri::location::service::session::Stub::start_heading_updates | ( |  | ) |

virtual

References start_heading_updates().

Referenced by start_heading_updates().

Here is the call graph for this function:

## start_position_updates()

virtual void com::lomiri::location::service::session::Stub::start_position_updates | ( |  | ) |

virtual

References start_position_updates().

Referenced by start_position_updates().

Here is the call graph for this function:

## start_velocity_updates()

virtual void com::lomiri::location::service::session::Stub::start_velocity_updates | ( |  | ) |

virtual

References start_velocity_updates().

Referenced by start_velocity_updates().

Here is the call graph for this function:

## stop_heading_updates()

virtual void com::lomiri::location::service::session::Stub::stop_heading_updates | ( |  | ) |

virtual noexcept

References stop_heading_updates().

Referenced by stop_heading_updates().

Here is the call graph for this function:

## stop_position_updates()

virtual void com::lomiri::location::service::session::Stub::stop_position_updates | ( |  | ) |

virtual noexcept

References stop_position_updates().

Referenced by stop_position_updates().

Here is the call graph for this function:

## stop_velocity_updates()

virtual void com::lomiri::location::service::session::Stub::stop_velocity_updates | ( |  | ) |

virtual noexcept

References stop_velocity_updates().

Referenced by stop_velocity_updates().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- service/session/stub.h